
Redmine - Feature #20310

Ability to switch date format (from relative into absolute) in issue notes titles

2015-07-14 12:26 - Antonio Kless

Status: New Start date:  
Target version: 6.1.0   

Resolution:    

Description

On Issue page, if there are some notes, every note has its own title, like "Updated by USERNAME about 1 month ago".

If hover "about 1 month ago" with mouse, there is HTML title (hovering tooltip) with absolute date of this note.

I ask an option to turn relative-style "about 1 month ago" titles into absolute-style "2015-06-09 16:56" titles by default. So admin (or

even user for himself) could switch between this two modes.

I'm sorry if there is already such functionality, but I didn't find it.

Related issues:

Related to Redmine - Feature #3148: Dates formatted as ages are too vague New 2009-04-09

Has duplicate Redmine - Feature #14858: Issues "time" ago Closed

Has duplicate Redmine - Defect #42636: I need the detail date -time,such as "... Closed

History

#1 - 2015-07-15 04:52 - Mischa The Evil

Antonio Kless wrote:

I ask an option to turn relative-style "about 1 month ago" titles into absolute-style "2015-06-09 16:56" titles by default. [...]

 Almost the same result can be achieved using some custom CSS that would change every individual datetime link to activity pages, so that these

lines will be shown (note that I use parentheses to indicate a link), instead of like this:

Updated by (USERNAME) (about 1 month) ago

now like the following:

Updated by (USERNAME) ([2015-06-09 16:56] about 1 month) ago

 See the Task History Updated Dates thread in the forums for the details.

#2 - 2015-08-12 09:56 - Toshi MARUYAMA

- Category set to Issues

#3 - 2019-02-13 10:52 - Go MAEDA

- Related to Feature #3148: Dates formatted as ages are too vague added

#4 - 2020-04-22 23:17 - Greg T

Mischa The Evil wrote:

Almost the same result can be achieved using some custom CSS

 This code

a[href*="activity"][title*=":"]:before {
  content: ' [' attr(title) '] ';

}

used to provide a mostly acceptable workaround, but in Redmine 4.1.1 with jQuery title, hovering the dates has a very bad flickering effect. :(    

This may work in application.js:

$(document).ready(function() {

  $('a[href*="activity"][title*=":"]').prepend(function() {

    var ret= '['+this.title+'] ';

    this.removeAttribute("title");

    return ret;

  });

});

 Relative time should only be an option, though.

#5 - 2023-08-07 09:42 - Mizuki ISHIKAWA

- File feature-33988-v1.patch added

- File settings.png added

- File relative_time.png added

- File relative_time_with_absolute_time.png added

- File absolute_time.png added

I have written a patch for this feature.

After applying this patch, you will be able to choose your favourite format from three different formats.

settings form:

 settings.png 

relative_time(default) relative_time_with_absolute_time absolute_time

relative_time.png relative_time_with_absolute_time.png absolute_time.png 

#6 - 2023-08-07 14:14 - Antonio Kless

Thank you Mizuki ISHIKAWA!

There is a little issue: space between the "days" word and the open bracket is missed in relative_time_with_absolute_time format.

#7 - 2023-08-08 02:16 - Mizuki ISHIKAWA

- File relative_time_with_absolute_time_v2.png added

- File feature-33988-v2.patch added

Antonio Kless wrote in #note-6:

Thank you Mizuki ISHIKAWA!

There is a little issue: space between the "days" word and the open bracket is missed in relative_time_with_absolute_time format.

 Thank you for your feedback. Fixed patch.

 relative_time_with_absolute_time_v2.png 

#8 - 2024-02-02 10:20 - Go MAEDA

- Target version set to Candidate for next major release

#9 - 2024-10-23 14:09 - Holger Just

- Has duplicate Feature #14858: Issues "time" ago added

#10 - 2024-12-20 09:22 - Mizuki ISHIKAWA

- File feature-33988-v3.patch added

Attached is a patch that resolves the conflict.
#11 - 2025-02-13 12:26 - Go MAEDA

- Target version changed from Candidate for next major release to 6.1.0

Setting the target version to 6.1.0.

#12 - 2025-05-06 19:09 - Holger Just

- Has duplicate Defect #42636: I need the detail date -time,such as "2025/04-25 23:11" ,not such as  "11 months ago ",how to do like that ? added

Files

feature-33988-v1.patch 11.4 KB 2023-08-07 Mizuki ISHIKAWA

settings.png 78.5 KB 2023-08-07 Mizuki ISHIKAWA

relative_time.png 112 KB 2023-08-07 Mizuki ISHIKAWA

relative_time_with_absolute_time.png 128 KB 2023-08-07 Mizuki ISHIKAWA

absolute_time.png 116 KB 2023-08-07 Mizuki ISHIKAWA

relative_time_with_absolute_time_v2.png 51.3 KB 2023-08-08 Mizuki ISHIKAWA

feature-33988-v2.patch 11.4 KB 2023-08-08 Mizuki ISHIKAWA

feature-33988-v3.patch 11.4 KB 2024-12-20 Mizuki ISHIKAWA
